﻿@model IEnumerable<RecipeSPA.Models.Recipe>
@{
    ViewBag.Title = "Home Page";
}

@section scripts{
    <script src="~/lib/underscore/underscore-min.js"></script>
    <script src="~/lib/interact-js/dist/interact.min.js"></script>
    <script src="~/lib/jquery/dist/jquery.min.js"></script>
    <script src="~/lib/angular/angular.min.js"></script>
    <script src="~/lib/moment/min/moment.min.js"></script>
    <script src="~/lib/angular-animate/angular-animate.min.js"></script>
    <script src="~/lib/angular-ui-bootstrap-complete/ui-bootstrap-tpls.min.js"></script>
    <script src="~/lib/rrule/lib/rrule.js"></script>
    <script src="~/lib/angular-bootstrap-colorpicker/js/bootstrap-colorpicker-module.min.js"></script>
    <script src="~/js/modified/angular-bootstrap-calendar/dist/js/angular-bootstrap-calendar-tpls.js"></script>
    
    <script src="~/lib/angular-aria/angular-aria.min.js"></script>
    <script src="~/lib/angular-material/angular-material.min.js"></script>
    <script src="~/lib/bootstrap/js/modal.js"></script>

    <script src="~/lib/bootstrap-daterangepicker/daterangepicker.js"></script>
    <script src="~/lib/angular-daterangepicker/js/angular-daterangepicker.min.js"></script>
    

    <script src="~/js/app.js"></script>
    <script src="~/js/helpers.js"></script>
    <script src="~/js/services/pagerService.js"></script>
    <script src="~/js/controllers/conversionController.js"></script>
    <script src="~/js/controllers/recipeController.js"></script>
    <script src="~/js/controllers/recipeListController.js"></script>
    <script src="~/js/controllers/calendarController.js"></script>    
    <script src="~/js/directives/simpleControls.js"></script>
    <script src="~/js/directives/spInput.js"></script>
}


<div id="navigation">
    <div class="row">
        <div class="col-lg-12">
            <div class="container-fluid">
                <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
                    <ul class="nav navbar-nav navbar-right">
                        <li style="cursor:pointer"><a href="#" ng-click="rcpl.showConfigModal()">Configuration <i class="fa fa-cogs"></i><span class="sr-only">(current)</span></a></li>
                        <li style="cursor:pointer"><a asp-action="Logout" asp-controller="Auth">Logout <i class="fa fa-sign-out"></i></a></li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="row">
    <div class="col-lg-offset-1 col-lg-3">
        <div id="greeting" class="row">
            <h3>What's cooking today, <br /> Chef?</h3>
        </div>
    </div>
</div>



<div class="row">
    <div class="col-lg-offset-1 col-lg-3">
        <div id="leftPanel">
            <div class="row">
                <div id="searchField" class="col-lg-12">
                    <div class="navbar-form navbar-left" role="search">
                        <div class="btn-group">
                            <sp-input id="searchInput" input-class="form-control" placeholder-value="Search recipe" input-text="rcpl.searchText" on-cancel="rcpl.clear()" show-cancel="true"></sp-input>
                        </div>                
                        <button class="btn btn-default form-control" ng-click="rcpl.searchRecipe()">Submit</button>
                    </div>
                </div>
            </div>

            <div class="row">
                <div id="list" class="col-lg-12">
                    <wait-cursor display-when="rcpl.isBusy"></wait-cursor>
                    <div class="list-group" ng-show="!rcpl.isBusy">                        
                        <a ng-repeat="item in rcpl.partialList track by $index" href="javascript:;"                            
                           ng-click="rcpl.showRecipe(item.id)" 
                           class="list-group-item" ng-cloak                           
                           mwl-draggable="true"
                           drop-data="{event: item}">
                                {{ item.name }} 
                            <span ng-click="$event.preventDefault(); $event.stopPropagation(); rcpl.confirmDelete(item.id)" class="btn btn-default">
                                <i class="fa fa-trash-o" aria-hidden="true"></i>
                            </span>
                        </a>
                    </div>
                    <div id="btnNewRecipe">
                        <a href="#" class="btn btn-success btn-lg btn-block" ng-click="rcpl.addNewRecipe()">+ Add New Recipe</a>
                    </div>

                    <div id="pagination">
                        <ul class="pagination pagination-sm" ng-if="rcpl.pager.pages.length">
                            <li ng-class="{disabled:rcpl.pager.currentPage === 1}">
                                <a ng-click="rcpl.getPage(1)">&laquo;</a>
                            </li>
                            <li ng-repeat="page in rcpl.pager.pages" ng-class="{active: rcpl.pager.currentPage === page}" ng-cloak>
                                <a ng-click="rcpl.getPage(page)">{{ page }}</a>
                            </li>
                            <li ng-class="{disabled:rcpl.pager.currentPage === rcpl.pager.totalPages}">
                                <a ng-click="rcpl.getPage(rcpl.pager.totalPages)">&raquo;</a>
                            </li>
                        </ul>
                    </div>


                    <div>
                        <p>
                            View
                            <span>
                                <select class="form-control" id="select" 
                                        ng-init="rcpl.viewCount = rcpl.viewCountOptions[0]"
                                        ng-model="rcpl.viewCount" 
                                        ng-options="option for option in rcpl.viewCountOptions"
                                        ng-change="rcpl.setPage(1)">

                                    <option value="3">3</option>
                                    <option value="5">5</option>
                                    <option value="10">10</option>
                                </select>
                            </span>
                            at a time.
                        </p>
                    </div>

                </div>
            </div>
        </div>
        
    </div>

    <div id="calcontainer" class="col-lg-7" ng-controller="CalendarController as vm" ng-cloak>
        <div>
            <div id="calNav" class="row">
                <button id="prev" class="btn btn-primary"
                        mwl-date-modifier
                        date="vm.viewDate"
                        decrement="vm.calendarView"
                        ng-click="vm.cellIsOpen = false">
                    <i class="fa fa-chevron-left"></i>
                </button>
                <h4 id="calTitle" class="text-center">{{ vm.calendarTitle }}</h4>
                <button id="next" class="btn btn-primary"
                        mwl-date-modifier
                        date="vm.viewDate"
                        increment="vm.calendarView"
                        ng-click="vm.cellIsOpen = false">
                    <i class="fa fa-chevron-right"></i>
                </button>
            </div>
            <div id="cal" class="row">
                <mwl-calendar events="vm.events"
                              view="vm.calendarView"
                              view-title="vm.calendarTitle"
                              view-date="vm.viewDate"
                              cell-is-open="vm.cellIsOpen"
                              day-view-split="30"                              
                              cell-auto-open-disabled="false"
                              on-view-change-click="false"
                              on-event-click="vm.viewRecipe(calendarEvent)"
                              on-event-times-changed="vm.eventDropped(calendarEvent, calendarNewEventStart, calendarNewEventEnd)"
                              on-timespan-click="vm.timespanClicked(calendarDate, calendarCell)"
                              cell-modifier="vm.modifyCell(calendarCell)">
                </mwl-calendar>
            </div>
        </div>
        <div class="shopigr">
            <span class="btn btn-info" ng-click="vm.showShopModal()">Shop Ingredients<i class="fa fa-shopping-bag"></i></span>            
        </div>
    </div>
</div>
